[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.AfterOpen

Event triggered after the dataset is opened.

## Declaration

Source position: db.pas line 1648

`public property TDataSet.AfterOpen : TDataSetNotifyEvent read FAfterOpen write FAfterOpen;`

## Description

AfterOpen is triggered after the dataset is opened. The dataset has fetched its data and is in dsBrowse state when this event is triggered. If the dataset is not empty, then a TDataset.AfterScroll event will be triggered immediatly after the AfterOpen event. If an exception is raised during the event handler, the dataset remains open, but the AfterScroll event will not be triggered.

## See also

TDataset.AfterOpen |  | Event triggered after the dataset is opened.
TDataset.State |  | Current operational state of the dataset
TDataset.AfterScroll |  | Event triggered after the cursor has changed position.

Documentation generated on: Feb 26 2014